UPDATE mld_opdr
   SET mld_statusopdr_key = 5
 WHERE mld_opdr_key = 51207;

INSERT INTO fac_tracking (fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          prs_perslid_key,
                          fac_tracking_oms)
    VALUES (201,       -- opdracht is gewijzigd
            51207,
            6524,      -- facilitor
            'Opdrachtstatus aangepast AADS#26075');

UPDATE mld_opdr
   SET mld_statusopdr_key = 5
 WHERE mld_opdr_key = 51201;

INSERT INTO fac_tracking (fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          prs_perslid_key,
                          fac_tracking_oms)
    VALUES (201,       -- opdracht is gewijzigd
            51201,
            6524,      -- facilitor
            'Opdrachtstatus aangepast AADS#26075');
            
            
-- en de onderliggende opdrachten naar status toegekend.
/* Formatted on 3/25/2013 2:02:20 PM (QP5 v5.136.908.31019) */
ALTER SESSION SET nls_territory = 'America';

DECLARE
BEGIN
   FOR c2
      IN (SELECT mld_melding_key, mld_opdr_key, mld_opdr_bedrijfopdr_volgnr
            FROM mld_opdr
           WHERE mld_melding_key IN (141306, 141299)
             AND TO_CHAR (mld_opdr_datumbegin, 'yyyy') = '2013')
   LOOP
      BEGIN
         DBMS_OUTPUT.put_line (
            c2.mld_melding_key || '/' || c2.mld_opdr_bedrijfopdr_volgnr);

         UPDATE mld_opdr
            SET mld_statusopdr_key = 5
          WHERE mld_opdr_key = c2.mld_opdr_key;

         INSERT INTO fac_tracking (fac_srtnotificatie_key,
                                   fac_tracking_refkey,
                                   prs_perslid_key,
                                   fac_tracking_oms)
             VALUES (201,
                     c2.mld_opdr_key,
                     6524,
                     'Opdrachtstatus aangepast AADS#26075');
      END;
   END LOOP;

   COMMIT;
END;
/